published on Thursday, Apr 2, 2026 by Byteplus
published on Thursday, Apr 2, 2026 by Byteplus
Connect the protected site via CNAME or load balancing, configure access and origin capabilities, and route business traffic to the WAF instance for protection
Example Usage
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
resources:
wafDomainDemo:
type: bytepluscc:waf:Domain
name: WafDomainDemo
properties:
accessMode: 10
domain: www.test.com
lbAlgorithm: wrr
publicRealServer: 1
vpcId: ""
protocolPorts:
http:
- 80
protocols:
- HTTP
backendGroups:
- access_port:
- 80
backends:
- protocol: HTTP
port: 80
ip: 1.1.1.1
weight: 50
name: default
Create Domain Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new Domain(name: string, args: DomainArgs, opts?: CustomResourceOptions);@overload
def Domain(resource_name: str,
args: DomainArgs,
opts: Optional[ResourceOptions] = None)
@overload
def Domain(resource_name: str,
opts: Optional[ResourceOptions] = None,
access_mode: Optional[int] = None,
domain: Optional[str] = None,
api_enable: Optional[int] = None,
auto_cc_enable: Optional[int] = None,
backend_groups: Optional[Sequence[DomainBackendGroupArgs]] = None,
black_ip_enable: Optional[int] = None,
black_lct_enable: Optional[int] = None,
bot_dytoken_enable: Optional[int] = None,
bot_frequency_enable: Optional[int] = None,
bot_repeat_enable: Optional[int] = None,
bot_sequence_default_action: Optional[int] = None,
bot_sequence_enable: Optional[int] = None,
cc_enable: Optional[int] = None,
certificate_id: Optional[str] = None,
certificate_platform: Optional[str] = None,
client_ip_location: Optional[int] = None,
client_max_body_size: Optional[int] = None,
cloud_access_configs: Optional[Sequence[DomainCloudAccessConfigArgs]] = None,
custom_bot_enable: Optional[int] = None,
custom_headers: Optional[Sequence[str]] = None,
custom_rsp_enable: Optional[int] = None,
custom_sni: Optional[str] = None,
defence_mode: Optional[int] = None,
dlp_enable: Optional[int] = None,
enable_custom_redirect: Optional[int] = None,
enable_http2: Optional[int] = None,
enable_ipv6: Optional[int] = None,
enable_sni: Optional[int] = None,
keep_alive_request: Optional[int] = None,
keep_alive_timeout: Optional[int] = None,
lb_algorithm: Optional[str] = None,
project_name: Optional[str] = None,
protocol_follow: Optional[int] = None,
protocol_ports: Optional[DomainProtocolPortsArgs] = None,
protocols: Optional[Sequence[str]] = None,
proxy_config: Optional[int] = None,
proxy_connect_timeout: Optional[int] = None,
proxy_keep_alive: Optional[int] = None,
proxy_keep_alive_timeout: Optional[int] = None,
proxy_read_timeout: Optional[int] = None,
proxy_retry: Optional[int] = None,
proxy_write_timeout: Optional[int] = None,
public_real_server: Optional[int] = None,
ssl_ciphers: Optional[Sequence[str]] = None,
ssl_protocols: Optional[Sequence[str]] = None,
system_bot_enable: Optional[int] = None,
tamper_proof_enable: Optional[int] = None,
tls_enable: Optional[int] = None,
tls_fields_config: Optional[DomainTlsFieldsConfigArgs] = None,
vpc_id: Optional[str] = None,
waf_enable: Optional[int] = None,
waf_white_req_enable: Optional[int] = None,
white_enable: Optional[int] = None,
white_field_enable: Optional[int] = None)func NewDomain(ctx *Context, name string, args DomainArgs, opts ...ResourceOption) (*Domain, error)public Domain(string name, DomainArgs args, CustomResourceOptions? opts = null)
public Domain(String name, DomainArgs args)
public Domain(String name, DomainArgs args, CustomResourceOptions options)
type: bytepluscc:waf:Domain
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args DomainArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args DomainArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args DomainArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args DomainArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args DomainArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var byteplusccDomainResource = new Bytepluscc.Waf.Domain("byteplusccDomainResource", new()
{
AccessMode = 0,
DomainValue = "string",
ApiEnable = 0,
AutoCcEnable = 0,
BackendGroups = new[]
{
new Bytepluscc.Waf.Inputs.DomainBackendGroupArgs
{
AccessPorts = new[]
{
0,
},
Backends = new[]
{
new Bytepluscc.Waf.Inputs.DomainBackendGroupBackendArgs
{
Ip = "string",
Port = 0,
Protocol = "string",
Weight = 0,
},
},
Name = "string",
},
},
BlackIpEnable = 0,
BlackLctEnable = 0,
BotDytokenEnable = 0,
BotFrequencyEnable = 0,
BotRepeatEnable = 0,
BotSequenceDefaultAction = 0,
BotSequenceEnable = 0,
CcEnable = 0,
CertificateId = "string",
CertificatePlatform = "string",
ClientIpLocation = 0,
ClientMaxBodySize = 0,
CloudAccessConfigs = new[]
{
new Bytepluscc.Waf.Inputs.DomainCloudAccessConfigArgs
{
AccessProtocol = "string",
DefenceMode = 0,
InstanceId = "string",
InstanceName = "string",
ListenerId = "string",
LostAssociationFromAlb = 0,
Port = "string",
Protocol = "string",
},
},
CustomBotEnable = 0,
CustomHeaders = new[]
{
"string",
},
CustomRspEnable = 0,
CustomSni = "string",
DefenceMode = 0,
DlpEnable = 0,
EnableCustomRedirect = 0,
EnableHttp2 = 0,
EnableIpv6 = 0,
EnableSni = 0,
KeepAliveRequest = 0,
KeepAliveTimeout = 0,
LbAlgorithm = "string",
ProjectName = "string",
ProtocolFollow = 0,
ProtocolPorts = new Bytepluscc.Waf.Inputs.DomainProtocolPortsArgs
{
Http = new[]
{
0,
},
Https = new[]
{
0,
},
},
Protocols = new[]
{
"string",
},
ProxyConfig = 0,
ProxyConnectTimeout = 0,
ProxyKeepAlive = 0,
ProxyKeepAliveTimeout = 0,
ProxyReadTimeout = 0,
ProxyRetry = 0,
ProxyWriteTimeout = 0,
PublicRealServer = 0,
SslCiphers = new[]
{
"string",
},
SslProtocols = new[]
{
"string",
},
SystemBotEnable = 0,
TamperProofEnable = 0,
TlsEnable = 0,
TlsFieldsConfig = new Bytepluscc.Waf.Inputs.DomainTlsFieldsConfigArgs
{
HeadersConfig = new Bytepluscc.Waf.Inputs.DomainTlsFieldsConfigHeadersConfigArgs
{
Enable = 0,
ExcludedKeyLists = new[]
{
"string",
},
StatisticalKeyLists = new[]
{
"string",
},
},
},
VpcId = "string",
WafEnable = 0,
WafWhiteReqEnable = 0,
WhiteEnable = 0,
WhiteFieldEnable = 0,
});
example, err := waf.NewDomain(ctx, "byteplusccDomainResource", &waf.DomainArgs{
AccessMode: pulumi.Int(0),
Domain: pulumi.String("string"),
ApiEnable: pulumi.Int(0),
AutoCcEnable: pulumi.Int(0),
BackendGroups: waf.DomainBackendGroupArray{
&waf.DomainBackendGroupArgs{
AccessPorts: pulumi.IntArray{
pulumi.Int(0),
},
Backends: waf.DomainBackendGroupBackendArray{
&waf.DomainBackendGroupBackendArgs{
Ip: pulumi.String("string"),
Port: pulumi.Int(0),
Protocol: pulumi.String("string"),
Weight: pulumi.Int(0),
},
},
Name: pulumi.String("string"),
},
},
BlackIpEnable: pulumi.Int(0),
BlackLctEnable: pulumi.Int(0),
BotDytokenEnable: pulumi.Int(0),
BotFrequencyEnable: pulumi.Int(0),
BotRepeatEnable: pulumi.Int(0),
BotSequenceDefaultAction: pulumi.Int(0),
BotSequenceEnable: pulumi.Int(0),
CcEnable: pulumi.Int(0),
CertificateId: pulumi.String("string"),
CertificatePlatform: pulumi.String("string"),
ClientIpLocation: pulumi.Int(0),
ClientMaxBodySize: pulumi.Int(0),
CloudAccessConfigs: waf.DomainCloudAccessConfigArray{
&waf.DomainCloudAccessConfigArgs{
AccessProtocol: pulumi.String("string"),
DefenceMode: pulumi.Int(0),
InstanceId: pulumi.String("string"),
InstanceName: pulumi.String("string"),
ListenerId: pulumi.String("string"),
LostAssociationFromAlb: pulumi.Int(0),
Port: pulumi.String("string"),
Protocol: pulumi.String("string"),
},
},
CustomBotEnable: pulumi.Int(0),
CustomHeaders: pulumi.StringArray{
pulumi.String("string"),
},
CustomRspEnable: pulumi.Int(0),
CustomSni: pulumi.String("string"),
DefenceMode: pulumi.Int(0),
DlpEnable: pulumi.Int(0),
EnableCustomRedirect: pulumi.Int(0),
EnableHttp2: pulumi.Int(0),
EnableIpv6: pulumi.Int(0),
EnableSni: pulumi.Int(0),
KeepAliveRequest: pulumi.Int(0),
KeepAliveTimeout: pulumi.Int(0),
LbAlgorithm: pulumi.String("string"),
ProjectName: pulumi.String("string"),
ProtocolFollow: pulumi.Int(0),
ProtocolPorts: &waf.DomainProtocolPortsArgs{
Http: pulumi.IntArray{
pulumi.Int(0),
},
Https: pulumi.IntArray{
pulumi.Int(0),
},
},
Protocols: pulumi.StringArray{
pulumi.String("string"),
},
ProxyConfig: pulumi.Int(0),
ProxyConnectTimeout: pulumi.Int(0),
ProxyKeepAlive: pulumi.Int(0),
ProxyKeepAliveTimeout: pulumi.Int(0),
ProxyReadTimeout: pulumi.Int(0),
ProxyRetry: pulumi.Int(0),
ProxyWriteTimeout: pulumi.Int(0),
PublicRealServer: pulumi.Int(0),
SslCiphers: pulumi.StringArray{
pulumi.String("string"),
},
SslProtocols: pulumi.StringArray{
pulumi.String("string"),
},
SystemBotEnable: pulumi.Int(0),
TamperProofEnable: pulumi.Int(0),
TlsEnable: pulumi.Int(0),
TlsFieldsConfig: &waf.DomainTlsFieldsConfigArgs{
HeadersConfig: &waf.DomainTlsFieldsConfigHeadersConfigArgs{
Enable: pulumi.Int(0),
ExcludedKeyLists: pulumi.StringArray{
pulumi.String("string"),
},
StatisticalKeyLists: pulumi.StringArray{
pulumi.String("string"),
},
},
},
VpcId: pulumi.String("string"),
WafEnable: pulumi.Int(0),
WafWhiteReqEnable: pulumi.Int(0),
WhiteEnable: pulumi.Int(0),
WhiteFieldEnable: pulumi.Int(0),
})
var byteplusccDomainResource = new com.byteplus.bytepluscc.waf.Domain("byteplusccDomainResource", com.byteplus.bytepluscc.waf.DomainArgs.builder()
.accessMode(0)
.domain("string")
.apiEnable(0)
.autoCcEnable(0)
.backendGroups(DomainBackendGroupArgs.builder()
.accessPorts(0)
.backends(DomainBackendGroupBackendArgs.builder()
.ip("string")
.port(0)
.protocol("string")
.weight(0)
.build())
.name("string")
.build())
.blackIpEnable(0)
.blackLctEnable(0)
.botDytokenEnable(0)
.botFrequencyEnable(0)
.botRepeatEnable(0)
.botSequenceDefaultAction(0)
.botSequenceEnable(0)
.ccEnable(0)
.certificateId("string")
.certificatePlatform("string")
.clientIpLocation(0)
.clientMaxBodySize(0)
.cloudAccessConfigs(DomainCloudAccessConfigArgs.builder()
.accessProtocol("string")
.defenceMode(0)
.instanceId("string")
.instanceName("string")
.listenerId("string")
.lostAssociationFromAlb(0)
.port("string")
.protocol("string")
.build())
.customBotEnable(0)
.customHeaders("string")
.customRspEnable(0)
.customSni("string")
.defenceMode(0)
.dlpEnable(0)
.enableCustomRedirect(0)
.enableHttp2(0)
.enableIpv6(0)
.enableSni(0)
.keepAliveRequest(0)
.keepAliveTimeout(0)
.lbAlgorithm("string")
.projectName("string")
.protocolFollow(0)
.protocolPorts(DomainProtocolPortsArgs.builder()
.http(0)
.https(0)
.build())
.protocols("string")
.proxyConfig(0)
.proxyConnectTimeout(0)
.proxyKeepAlive(0)
.proxyKeepAliveTimeout(0)
.proxyReadTimeout(0)
.proxyRetry(0)
.proxyWriteTimeout(0)
.publicRealServer(0)
.sslCiphers("string")
.sslProtocols("string")
.systemBotEnable(0)
.tamperProofEnable(0)
.tlsEnable(0)
.tlsFieldsConfig(DomainTlsFieldsConfigArgs.builder()
.headersConfig(DomainTlsFieldsConfigHeadersConfigArgs.builder()
.enable(0)
.excludedKeyLists("string")
.statisticalKeyLists("string")
.build())
.build())
.vpcId("string")
.wafEnable(0)
.wafWhiteReqEnable(0)
.whiteEnable(0)
.whiteFieldEnable(0)
.build());
bytepluscc_domain_resource = bytepluscc.waf.Domain("byteplusccDomainResource",
access_mode=0,
domain="string",
api_enable=0,
auto_cc_enable=0,
backend_groups=[{
"access_ports": [0],
"backends": [{
"ip": "string",
"port": 0,
"protocol": "string",
"weight": 0,
}],
"name": "string",
}],
black_ip_enable=0,
black_lct_enable=0,
bot_dytoken_enable=0,
bot_frequency_enable=0,
bot_repeat_enable=0,
bot_sequence_default_action=0,
bot_sequence_enable=0,
cc_enable=0,
certificate_id="string",
certificate_platform="string",
client_ip_location=0,
client_max_body_size=0,
cloud_access_configs=[{
"access_protocol": "string",
"defence_mode": 0,
"instance_id": "string",
"instance_name": "string",
"listener_id": "string",
"lost_association_from_alb": 0,
"port": "string",
"protocol": "string",
}],
custom_bot_enable=0,
custom_headers=["string"],
custom_rsp_enable=0,
custom_sni="string",
defence_mode=0,
dlp_enable=0,
enable_custom_redirect=0,
enable_http2=0,
enable_ipv6=0,
enable_sni=0,
keep_alive_request=0,
keep_alive_timeout=0,
lb_algorithm="string",
project_name="string",
protocol_follow=0,
protocol_ports={
"http": [0],
"https": [0],
},
protocols=["string"],
proxy_config=0,
proxy_connect_timeout=0,
proxy_keep_alive=0,
proxy_keep_alive_timeout=0,
proxy_read_timeout=0,
proxy_retry=0,
proxy_write_timeout=0,
public_real_server=0,
ssl_ciphers=["string"],
ssl_protocols=["string"],
system_bot_enable=0,
tamper_proof_enable=0,
tls_enable=0,
tls_fields_config={
"headers_config": {
"enable": 0,
"excluded_key_lists": ["string"],
"statistical_key_lists": ["string"],
},
},
vpc_id="string",
waf_enable=0,
waf_white_req_enable=0,
white_enable=0,
white_field_enable=0)
const byteplusccDomainResource = new bytepluscc.waf.Domain("byteplusccDomainResource", {
accessMode: 0,
domain: "string",
apiEnable: 0,
autoCcEnable: 0,
backendGroups: [{
accessPorts: [0],
backends: [{
ip: "string",
port: 0,
protocol: "string",
weight: 0,
}],
name: "string",
}],
blackIpEnable: 0,
blackLctEnable: 0,
botDytokenEnable: 0,
botFrequencyEnable: 0,
botRepeatEnable: 0,
botSequenceDefaultAction: 0,
botSequenceEnable: 0,
ccEnable: 0,
certificateId: "string",
certificatePlatform: "string",
clientIpLocation: 0,
clientMaxBodySize: 0,
cloudAccessConfigs: [{
accessProtocol: "string",
defenceMode: 0,
instanceId: "string",
instanceName: "string",
listenerId: "string",
lostAssociationFromAlb: 0,
port: "string",
protocol: "string",
}],
customBotEnable: 0,
customHeaders: ["string"],
customRspEnable: 0,
customSni: "string",
defenceMode: 0,
dlpEnable: 0,
enableCustomRedirect: 0,
enableHttp2: 0,
enableIpv6: 0,
enableSni: 0,
keepAliveRequest: 0,
keepAliveTimeout: 0,
lbAlgorithm: "string",
projectName: "string",
protocolFollow: 0,
protocolPorts: {
http: [0],
https: [0],
},
protocols: ["string"],
proxyConfig: 0,
proxyConnectTimeout: 0,
proxyKeepAlive: 0,
proxyKeepAliveTimeout: 0,
proxyReadTimeout: 0,
proxyRetry: 0,
proxyWriteTimeout: 0,
publicRealServer: 0,
sslCiphers: ["string"],
sslProtocols: ["string"],
systemBotEnable: 0,
tamperProofEnable: 0,
tlsEnable: 0,
tlsFieldsConfig: {
headersConfig: {
enable: 0,
excludedKeyLists: ["string"],
statisticalKeyLists: ["string"],
},
},
vpcId: "string",
wafEnable: 0,
wafWhiteReqEnable: 0,
whiteEnable: 0,
whiteFieldEnable: 0,
});
type: bytepluscc:waf:Domain
properties:
accessMode: 0
apiEnable: 0
autoCcEnable: 0
backendGroups:
- accessPorts:
- 0
backends:
- ip: string
port: 0
protocol: string
weight: 0
name: string
blackIpEnable: 0
blackLctEnable: 0
botDytokenEnable: 0
botFrequencyEnable: 0
botRepeatEnable: 0
botSequenceDefaultAction: 0
botSequenceEnable: 0
ccEnable: 0
certificateId: string
certificatePlatform: string
clientIpLocation: 0
clientMaxBodySize: 0
cloudAccessConfigs:
- accessProtocol: string
defenceMode: 0
instanceId: string
instanceName: string
listenerId: string
lostAssociationFromAlb: 0
port: string
protocol: string
customBotEnable: 0
customHeaders:
- string
customRspEnable: 0
customSni: string
defenceMode: 0
dlpEnable: 0
domain: string
enableCustomRedirect: 0
enableHttp2: 0
enableIpv6: 0
enableSni: 0
keepAliveRequest: 0
keepAliveTimeout: 0
lbAlgorithm: string
projectName: string
protocolFollow: 0
protocolPorts:
http:
- 0
https:
- 0
protocols:
- string
proxyConfig: 0
proxyConnectTimeout: 0
proxyKeepAlive: 0
proxyKeepAliveTimeout: 0
proxyReadTimeout: 0
proxyRetry: 0
proxyWriteTimeout: 0
publicRealServer: 0
sslCiphers:
- string
sslProtocols:
- string
systemBotEnable: 0
tamperProofEnable: 0
tlsEnable: 0
tlsFieldsConfig:
headersConfig:
enable: 0
excludedKeyLists:
- string
statisticalKeyLists:
- string
vpcId: string
wafEnable: 0
wafWhiteReqEnable: 0
whiteEnable: 0
whiteFieldEnable: 0
Domain Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The Domain resource accepts the following input properties:
- Access
Mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- Domain
Value string - Protected domain information. Supports wildcard and exact domains
- Api
Enable int - API protection policy enabled. 0: Off, 1: On
- Auto
Cc intEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- Backend
Groups List<Byteplus.Domain Backend Group> - Black
Ip intEnable - Denylist policy enabled. 0: Off, 1: On
- Black
Lct intEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- Bot
Dytoken intEnable - Dynamic token protection enabled
- Bot
Frequency intEnable - Bot rate limit policy enabled. 0: Off 1: On
- Bot
Repeat intEnable - Bot statistics protection policy enabled. 0: Off 1: On
- Bot
Sequence intDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- Bot
Sequence intEnable - Whether to enable bot behavior map. 0: Off 1: On.
- Cc
Enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- Certificate
Id string - Certificate ID managed in Certificate Center
- Certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- Client
Ip intLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- Client
Max intBody Size - Maximum client request body size (MB).
- Cloud
Access List<Byteplus.Configs Domain Cloud Access Config> - Custom
Bot intEnable - Whether to enable custom bot protection.
- Custom
Headers List<string> - Custom header.
- Custom
Rsp intEnable - Whether to enable custom response.
- Custom
Sni string - Custom SNI.
- Defence
Mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- Dlp
Enable int - Data leakage protection enabled
- Enable
Custom intRedirect - User-defined redirection enabled. 0: Off, 1: On
- Enable
Http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- Enable
Ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- Enable
Sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- Keep
Alive intRequest - Persistent connection reuse count
- Keep
Alive intTimeout - Persistent connection keep-alive time (seconds)
- Lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- Project
Name string - Project name.
- Protocol
Follow int - Protocol following enabled. 0: Off, 1: On
- Protocol
Ports Byteplus.Domain Protocol Ports - Access port information
- Protocols List<string>
- Access protocol type: supports HTTP/HTTPS
- Proxy
Config int - Proxy configuration enabled. 0: Off, 1: On
- Proxy
Connect intTimeout - Connection timeout between WAF and backend server (seconds).
- Proxy
Keep intAlive - Number of reusable WAF origin persistent connections.
- Proxy
Keep intAlive Timeout - Idle persistent connection timeout (seconds)
- Proxy
Read intTimeout - Timeout for WAF to read response from backend server (seconds).
- Proxy
Retry int - WAF origin retry count.
- Proxy
Write intTimeout - Timeout for WAF to transmit request to backend server (seconds).
- Public
Real intServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- Ssl
Ciphers List<string> - Cipher suite
- Ssl
Protocols List<string> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- System
Bot intEnable - Whether to enable managed bot protection.
- Tamper
Proof intEnable - Whether to enable anti-tampering.
- Tls
Enable int - Log service enabled. 0: Off, 1: On
- Tls
Fields Byteplus.Config Domain Tls Fields Config - Log field configuration details
- Vpc
Id string - VPC ID。
- Waf
Enable int - WAF protection enabled
- Waf
White intReq Enable - Allowlist request protection enabled
- White
Enable int - Whether to enable allowlist protection.
- White
Field intEnable - Field allowlist protection enabled
- Access
Mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- Domain string
- Protected domain information. Supports wildcard and exact domains
- Api
Enable int - API protection policy enabled. 0: Off, 1: On
- Auto
Cc intEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- Backend
Groups []DomainBackend Group Args - Black
Ip intEnable - Denylist policy enabled. 0: Off, 1: On
- Black
Lct intEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- Bot
Dytoken intEnable - Dynamic token protection enabled
- Bot
Frequency intEnable - Bot rate limit policy enabled. 0: Off 1: On
- Bot
Repeat intEnable - Bot statistics protection policy enabled. 0: Off 1: On
- Bot
Sequence intDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- Bot
Sequence intEnable - Whether to enable bot behavior map. 0: Off 1: On.
- Cc
Enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- Certificate
Id string - Certificate ID managed in Certificate Center
- Certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- Client
Ip intLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- Client
Max intBody Size - Maximum client request body size (MB).
- Cloud
Access []DomainConfigs Cloud Access Config Args - Custom
Bot intEnable - Whether to enable custom bot protection.
- Custom
Headers []string - Custom header.
- Custom
Rsp intEnable - Whether to enable custom response.
- Custom
Sni string - Custom SNI.
- Defence
Mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- Dlp
Enable int - Data leakage protection enabled
- Enable
Custom intRedirect - User-defined redirection enabled. 0: Off, 1: On
- Enable
Http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- Enable
Ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- Enable
Sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- Keep
Alive intRequest - Persistent connection reuse count
- Keep
Alive intTimeout - Persistent connection keep-alive time (seconds)
- Lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- Project
Name string - Project name.
- Protocol
Follow int - Protocol following enabled. 0: Off, 1: On
- Protocol
Ports DomainProtocol Ports Args - Access port information
- Protocols []string
- Access protocol type: supports HTTP/HTTPS
- Proxy
Config int - Proxy configuration enabled. 0: Off, 1: On
- Proxy
Connect intTimeout - Connection timeout between WAF and backend server (seconds).
- Proxy
Keep intAlive - Number of reusable WAF origin persistent connections.
- Proxy
Keep intAlive Timeout - Idle persistent connection timeout (seconds)
- Proxy
Read intTimeout - Timeout for WAF to read response from backend server (seconds).
- Proxy
Retry int - WAF origin retry count.
- Proxy
Write intTimeout - Timeout for WAF to transmit request to backend server (seconds).
- Public
Real intServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- Ssl
Ciphers []string - Cipher suite
- Ssl
Protocols []string - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- System
Bot intEnable - Whether to enable managed bot protection.
- Tamper
Proof intEnable - Whether to enable anti-tampering.
- Tls
Enable int - Log service enabled. 0: Off, 1: On
- Tls
Fields DomainConfig Tls Fields Config Args - Log field configuration details
- Vpc
Id string - VPC ID。
- Waf
Enable int - WAF protection enabled
- Waf
White intReq Enable - Allowlist request protection enabled
- White
Enable int - Whether to enable allowlist protection.
- White
Field intEnable - Field allowlist protection enabled
- access
Mode Integer - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- domain String
- Protected domain information. Supports wildcard and exact domains
- api
Enable Integer - API protection policy enabled. 0: Off, 1: On
- auto
Cc IntegerEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- backend
Groups List<DomainBackend Group> - black
Ip IntegerEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct IntegerEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken IntegerEnable - Dynamic token protection enabled
- bot
Frequency IntegerEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat IntegerEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence IntegerDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence IntegerEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable Integer - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id String - Certificate ID managed in Certificate Center
- certificate
Platform String - Certificate hosting platform: waf/certificate_service.
- client
Ip IntegerLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max IntegerBody Size - Maximum client request body size (MB).
- cloud
Access List<DomainConfigs Cloud Access Config> - custom
Bot IntegerEnable - Whether to enable custom bot protection.
- custom
Headers List<String> - Custom header.
- custom
Rsp IntegerEnable - Whether to enable custom response.
- custom
Sni String - Custom SNI.
- defence
Mode Integer - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable Integer - Data leakage protection enabled
- enable
Custom IntegerRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 Integer - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 Integer - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni Integer - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive IntegerRequest - Persistent connection reuse count
- keep
Alive IntegerTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm String - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- project
Name String - Project name.
- protocol
Follow Integer - Protocol following enabled. 0: Off, 1: On
- protocol
Ports DomainProtocol Ports - Access port information
- protocols List<String>
- Access protocol type: supports HTTP/HTTPS
- proxy
Config Integer - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect IntegerTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep IntegerAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep IntegerAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read IntegerTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry Integer - WAF origin retry count.
- proxy
Write IntegerTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real IntegerServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- ssl
Ciphers List<String> - Cipher suite
- ssl
Protocols List<String> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- system
Bot IntegerEnable - Whether to enable managed bot protection.
- tamper
Proof IntegerEnable - Whether to enable anti-tampering.
- tls
Enable Integer - Log service enabled. 0: Off, 1: On
- tls
Fields DomainConfig Tls Fields Config - Log field configuration details
- vpc
Id String - VPC ID。
- waf
Enable Integer - WAF protection enabled
- waf
White IntegerReq Enable - Allowlist request protection enabled
- white
Enable Integer - Whether to enable allowlist protection.
- white
Field IntegerEnable - Field allowlist protection enabled
- access
Mode number - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- domain string
- Protected domain information. Supports wildcard and exact domains
- api
Enable number - API protection policy enabled. 0: Off, 1: On
- auto
Cc numberEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- backend
Groups DomainBackend Group[] - black
Ip numberEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct numberEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken numberEnable - Dynamic token protection enabled
- bot
Frequency numberEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat numberEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence numberDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence numberEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable number - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id string - Certificate ID managed in Certificate Center
- certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- client
Ip numberLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max numberBody Size - Maximum client request body size (MB).
- cloud
Access DomainConfigs Cloud Access Config[] - custom
Bot numberEnable - Whether to enable custom bot protection.
- custom
Headers string[] - Custom header.
- custom
Rsp numberEnable - Whether to enable custom response.
- custom
Sni string - Custom SNI.
- defence
Mode number - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable number - Data leakage protection enabled
- enable
Custom numberRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 number - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 number - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni number - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive numberRequest - Persistent connection reuse count
- keep
Alive numberTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- project
Name string - Project name.
- protocol
Follow number - Protocol following enabled. 0: Off, 1: On
- protocol
Ports DomainProtocol Ports - Access port information
- protocols string[]
- Access protocol type: supports HTTP/HTTPS
- proxy
Config number - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect numberTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep numberAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep numberAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read numberTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry number - WAF origin retry count.
- proxy
Write numberTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real numberServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- ssl
Ciphers string[] - Cipher suite
- ssl
Protocols string[] - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- system
Bot numberEnable - Whether to enable managed bot protection.
- tamper
Proof numberEnable - Whether to enable anti-tampering.
- tls
Enable number - Log service enabled. 0: Off, 1: On
- tls
Fields DomainConfig Tls Fields Config - Log field configuration details
- vpc
Id string - VPC ID。
- waf
Enable number - WAF protection enabled
- waf
White numberReq Enable - Allowlist request protection enabled
- white
Enable number - Whether to enable allowlist protection.
- white
Field numberEnable - Field allowlist protection enabled
- access_
mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- domain str
- Protected domain information. Supports wildcard and exact domains
- api_
enable int - API protection policy enabled. 0: Off, 1: On
- auto_
cc_ intenable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- backend_
groups Sequence[DomainBackend Group Args] - black_
ip_ intenable - Denylist policy enabled. 0: Off, 1: On
- black_
lct_ intenable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot_
dytoken_ intenable - Dynamic token protection enabled
- bot_
frequency_ intenable - Bot rate limit policy enabled. 0: Off 1: On
- bot_
repeat_ intenable - Bot statistics protection policy enabled. 0: Off 1: On
- bot_
sequence_ intdefault_ action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot_
sequence_ intenable - Whether to enable bot behavior map. 0: Off 1: On.
- cc_
enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate_
id str - Certificate ID managed in Certificate Center
- certificate_
platform str - Certificate hosting platform: waf/certificate_service.
- client_
ip_ intlocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client_
max_ intbody_ size - Maximum client request body size (MB).
- cloud_
access_ Sequence[Domainconfigs Cloud Access Config Args] - custom_
bot_ intenable - Whether to enable custom bot protection.
- custom_
headers Sequence[str] - Custom header.
- custom_
rsp_ intenable - Whether to enable custom response.
- custom_
sni str - Custom SNI.
- defence_
mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp_
enable int - Data leakage protection enabled
- enable_
custom_ intredirect - User-defined redirection enabled. 0: Off, 1: On
- enable_
http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable_
ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- enable_
sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- keep_
alive_ intrequest - Persistent connection reuse count
- keep_
alive_ inttimeout - Persistent connection keep-alive time (seconds)
- lb_
algorithm str - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- project_
name str - Project name.
- protocol_
follow int - Protocol following enabled. 0: Off, 1: On
- protocol_
ports DomainProtocol Ports Args - Access port information
- protocols Sequence[str]
- Access protocol type: supports HTTP/HTTPS
- proxy_
config int - Proxy configuration enabled. 0: Off, 1: On
- proxy_
connect_ inttimeout - Connection timeout between WAF and backend server (seconds).
- proxy_
keep_ intalive - Number of reusable WAF origin persistent connections.
- proxy_
keep_ intalive_ timeout - Idle persistent connection timeout (seconds)
- proxy_
read_ inttimeout - Timeout for WAF to read response from backend server (seconds).
- proxy_
retry int - WAF origin retry count.
- proxy_
write_ inttimeout - Timeout for WAF to transmit request to backend server (seconds).
- public_
real_ intserver - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- ssl_
ciphers Sequence[str] - Cipher suite
- ssl_
protocols Sequence[str] - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- system_
bot_ intenable - Whether to enable managed bot protection.
- tamper_
proof_ intenable - Whether to enable anti-tampering.
- tls_
enable int - Log service enabled. 0: Off, 1: On
- tls_
fields_ Domainconfig Tls Fields Config Args - Log field configuration details
- vpc_
id str - VPC ID。
- waf_
enable int - WAF protection enabled
- waf_
white_ intreq_ enable - Allowlist request protection enabled
- white_
enable int - Whether to enable allowlist protection.
- white_
field_ intenable - Field allowlist protection enabled
- access
Mode Number - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- domain String
- Protected domain information. Supports wildcard and exact domains
- api
Enable Number - API protection policy enabled. 0: Off, 1: On
- auto
Cc NumberEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- backend
Groups List<Property Map> - black
Ip NumberEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct NumberEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken NumberEnable - Dynamic token protection enabled
- bot
Frequency NumberEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat NumberEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence NumberDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence NumberEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable Number - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id String - Certificate ID managed in Certificate Center
- certificate
Platform String - Certificate hosting platform: waf/certificate_service.
- client
Ip NumberLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max NumberBody Size - Maximum client request body size (MB).
- cloud
Access List<Property Map>Configs - custom
Bot NumberEnable - Whether to enable custom bot protection.
- custom
Headers List<String> - Custom header.
- custom
Rsp NumberEnable - Whether to enable custom response.
- custom
Sni String - Custom SNI.
- defence
Mode Number - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable Number - Data leakage protection enabled
- enable
Custom NumberRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 Number - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 Number - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni Number - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive NumberRequest - Persistent connection reuse count
- keep
Alive NumberTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm String - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- project
Name String - Project name.
- protocol
Follow Number - Protocol following enabled. 0: Off, 1: On
- protocol
Ports Property Map - Access port information
- protocols List<String>
- Access protocol type: supports HTTP/HTTPS
- proxy
Config Number - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect NumberTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep NumberAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep NumberAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read NumberTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry Number - WAF origin retry count.
- proxy
Write NumberTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real NumberServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- ssl
Ciphers List<String> - Cipher suite
- ssl
Protocols List<String> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- system
Bot NumberEnable - Whether to enable managed bot protection.
- tamper
Proof NumberEnable - Whether to enable anti-tampering.
- tls
Enable Number - Log service enabled. 0: Off, 1: On
- tls
Fields Property MapConfig - Log field configuration details
- vpc
Id String - VPC ID。
- waf
Enable Number - WAF protection enabled
- waf
White NumberReq Enable - Allowlist request protection enabled
- white
Enable Number - Whether to enable allowlist protection.
- white
Field NumberEnable - Field allowlist protection enabled
Outputs
All input properties are implicitly available as output properties. Additionally, the Domain resource produces the following output properties:
- Advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- Advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- Attack
Status int - Attack status. 0: No attack detected, 1: Attack detected.
- Automatic
Black intEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- Certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- Clb
Instance stringIds - CLB instance ID.
- Clb
Listener stringId - CLB listener ID.
- Clb
Pool stringId - CLB backend server group ID.
- Clb
Server stringId - CLB backend server ID
- Cname string
- CNAME record.
- Id string
- The provider-assigned unique ID for this managed resource.
- Port int
- Port number
- Rsp
Abnormal intEnable - Whether to enable abnormal response protection.
- Server
Ips string - Service IP
- Src
Ips string - WAF origin IP.
- Src
Protocol string - Origin protocol.
- Status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- Tcp
Listener List<Byteplus.Configs Domain Tcp Listener Config> - Update
Time string - Update time
- Advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- Advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- Attack
Status int - Attack status. 0: No attack detected, 1: Attack detected.
- Automatic
Black intEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- Certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- Clb
Instance stringIds - CLB instance ID.
- Clb
Listener stringId - CLB listener ID.
- Clb
Pool stringId - CLB backend server group ID.
- Clb
Server stringId - CLB backend server ID
- Cname string
- CNAME record.
- Id string
- The provider-assigned unique ID for this managed resource.
- Port int
- Port number
- Rsp
Abnormal intEnable - Whether to enable abnormal response protection.
- Server
Ips string - Service IP
- Src
Ips string - WAF origin IP.
- Src
Protocol string - Origin protocol.
- Status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- Tcp
Listener []DomainConfigs Tcp Listener Config - Update
Time string - Update time
- advanced
Defense StringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense StringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- attack
Status Integer - Attack status. 0: No attack detected, 1: Attack detected.
- automatic
Black IntegerEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- certificate
Name String - Certificate name. Displayed when protocol type includes HTTPS.
- clb
Instance StringIds - CLB instance ID.
- clb
Listener StringId - CLB listener ID.
- clb
Pool StringId - CLB backend server group ID.
- clb
Server StringId - CLB backend server ID
- cname String
- CNAME record.
- id String
- The provider-assigned unique ID for this managed resource.
- port Integer
- Port number
- rsp
Abnormal IntegerEnable - Whether to enable abnormal response protection.
- server
Ips String - Service IP
- src
Ips String - WAF origin IP.
- src
Protocol String - Origin protocol.
- status Integer
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- tcp
Listener List<DomainConfigs Tcp Listener Config> - update
Time String - Update time
- advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- attack
Status number - Attack status. 0: No attack detected, 1: Attack detected.
- automatic
Black numberEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- clb
Instance stringIds - CLB instance ID.
- clb
Listener stringId - CLB listener ID.
- clb
Pool stringId - CLB backend server group ID.
- clb
Server stringId - CLB backend server ID
- cname string
- CNAME record.
- id string
- The provider-assigned unique ID for this managed resource.
- port number
- Port number
- rsp
Abnormal numberEnable - Whether to enable abnormal response protection.
- server
Ips string - Service IP
- src
Ips string - WAF origin IP.
- src
Protocol string - Origin protocol.
- status number
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- tcp
Listener DomainConfigs Tcp Listener Config[] - update
Time string - Update time
- advanced_
defense_ strip - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced_
defense_ stripv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- attack_
status int - Attack status. 0: No attack detected, 1: Attack detected.
- automatic_
black_ intenable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- certificate_
name str - Certificate name. Displayed when protocol type includes HTTPS.
- clb_
instance_ strids - CLB instance ID.
- clb_
listener_ strid - CLB listener ID.
- clb_
pool_ strid - CLB backend server group ID.
- clb_
server_ strid - CLB backend server ID
- cname str
- CNAME record.
- id str
- The provider-assigned unique ID for this managed resource.
- port int
- Port number
- rsp_
abnormal_ intenable - Whether to enable abnormal response protection.
- server_
ips str - Service IP
- src_
ips str - WAF origin IP.
- src_
protocol str - Origin protocol.
- status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- tcp_
listener_ Sequence[Domainconfigs Tcp Listener Config] - update_
time str - Update time
- advanced
Defense StringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense StringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- attack
Status Number - Attack status. 0: No attack detected, 1: Attack detected.
- automatic
Black NumberEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- certificate
Name String - Certificate name. Displayed when protocol type includes HTTPS.
- clb
Instance StringIds - CLB instance ID.
- clb
Listener StringId - CLB listener ID.
- clb
Pool StringId - CLB backend server group ID.
- clb
Server StringId - CLB backend server ID
- cname String
- CNAME record.
- id String
- The provider-assigned unique ID for this managed resource.
- port Number
- Port number
- rsp
Abnormal NumberEnable - Whether to enable abnormal response protection.
- server
Ips String - Service IP
- src
Ips String - WAF origin IP.
- src
Protocol String - Origin protocol.
- status Number
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- tcp
Listener List<Property Map>Configs - update
Time String - Update time
Look up Existing Domain Resource
Get an existing Domain resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: DomainState, opts?: CustomResourceOptions): Domain@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
access_mode: Optional[int] = None,
advanced_defense_ip: Optional[str] = None,
advanced_defense_ipv6: Optional[str] = None,
api_enable: Optional[int] = None,
attack_status: Optional[int] = None,
auto_cc_enable: Optional[int] = None,
automatic_black_enable: Optional[int] = None,
backend_groups: Optional[Sequence[DomainBackendGroupArgs]] = None,
black_ip_enable: Optional[int] = None,
black_lct_enable: Optional[int] = None,
bot_dytoken_enable: Optional[int] = None,
bot_frequency_enable: Optional[int] = None,
bot_repeat_enable: Optional[int] = None,
bot_sequence_default_action: Optional[int] = None,
bot_sequence_enable: Optional[int] = None,
cc_enable: Optional[int] = None,
certificate_id: Optional[str] = None,
certificate_name: Optional[str] = None,
certificate_platform: Optional[str] = None,
clb_instance_ids: Optional[str] = None,
clb_listener_id: Optional[str] = None,
clb_pool_id: Optional[str] = None,
clb_server_id: Optional[str] = None,
client_ip_location: Optional[int] = None,
client_max_body_size: Optional[int] = None,
cloud_access_configs: Optional[Sequence[DomainCloudAccessConfigArgs]] = None,
cname: Optional[str] = None,
custom_bot_enable: Optional[int] = None,
custom_headers: Optional[Sequence[str]] = None,
custom_rsp_enable: Optional[int] = None,
custom_sni: Optional[str] = None,
defence_mode: Optional[int] = None,
dlp_enable: Optional[int] = None,
domain: Optional[str] = None,
enable_custom_redirect: Optional[int] = None,
enable_http2: Optional[int] = None,
enable_ipv6: Optional[int] = None,
enable_sni: Optional[int] = None,
keep_alive_request: Optional[int] = None,
keep_alive_timeout: Optional[int] = None,
lb_algorithm: Optional[str] = None,
port: Optional[int] = None,
project_name: Optional[str] = None,
protocol_follow: Optional[int] = None,
protocol_ports: Optional[DomainProtocolPortsArgs] = None,
protocols: Optional[Sequence[str]] = None,
proxy_config: Optional[int] = None,
proxy_connect_timeout: Optional[int] = None,
proxy_keep_alive: Optional[int] = None,
proxy_keep_alive_timeout: Optional[int] = None,
proxy_read_timeout: Optional[int] = None,
proxy_retry: Optional[int] = None,
proxy_write_timeout: Optional[int] = None,
public_real_server: Optional[int] = None,
rsp_abnormal_enable: Optional[int] = None,
server_ips: Optional[str] = None,
src_ips: Optional[str] = None,
src_protocol: Optional[str] = None,
ssl_ciphers: Optional[Sequence[str]] = None,
ssl_protocols: Optional[Sequence[str]] = None,
status: Optional[int] = None,
system_bot_enable: Optional[int] = None,
tamper_proof_enable: Optional[int] = None,
tcp_listener_configs: Optional[Sequence[DomainTcpListenerConfigArgs]] = None,
tls_enable: Optional[int] = None,
tls_fields_config: Optional[DomainTlsFieldsConfigArgs] = None,
update_time: Optional[str] = None,
vpc_id: Optional[str] = None,
waf_enable: Optional[int] = None,
waf_white_req_enable: Optional[int] = None,
white_enable: Optional[int] = None,
white_field_enable: Optional[int] = None) -> Domainfunc GetDomain(ctx *Context, name string, id IDInput, state *DomainState, opts ...ResourceOption) (*Domain, error)public static Domain Get(string name, Input<string> id, DomainState? state, CustomResourceOptions? opts = null)public static Domain get(String name, Output<String> id, DomainState state, CustomResourceOptions options)resources: _: type: bytepluscc:waf:Domain get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Access
Mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- Advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- Advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- Api
Enable int - API protection policy enabled. 0: Off, 1: On
- Attack
Status int - Attack status. 0: No attack detected, 1: Attack detected.
- Auto
Cc intEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- Automatic
Black intEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- Backend
Groups List<Byteplus.Domain Backend Group> - Black
Ip intEnable - Denylist policy enabled. 0: Off, 1: On
- Black
Lct intEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- Bot
Dytoken intEnable - Dynamic token protection enabled
- Bot
Frequency intEnable - Bot rate limit policy enabled. 0: Off 1: On
- Bot
Repeat intEnable - Bot statistics protection policy enabled. 0: Off 1: On
- Bot
Sequence intDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- Bot
Sequence intEnable - Whether to enable bot behavior map. 0: Off 1: On.
- Cc
Enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- Certificate
Id string - Certificate ID managed in Certificate Center
- Certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- Certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- Clb
Instance stringIds - CLB instance ID.
- Clb
Listener stringId - CLB listener ID.
- Clb
Pool stringId - CLB backend server group ID.
- Clb
Server stringId - CLB backend server ID
- Client
Ip intLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- Client
Max intBody Size - Maximum client request body size (MB).
- Cloud
Access List<Byteplus.Configs Domain Cloud Access Config> - Cname string
- CNAME record.
- Custom
Bot intEnable - Whether to enable custom bot protection.
- Custom
Headers List<string> - Custom header.
- Custom
Rsp intEnable - Whether to enable custom response.
- Custom
Sni string - Custom SNI.
- Defence
Mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- Dlp
Enable int - Data leakage protection enabled
- Domain
Value string - Protected domain information. Supports wildcard and exact domains
- Enable
Custom intRedirect - User-defined redirection enabled. 0: Off, 1: On
- Enable
Http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- Enable
Ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- Enable
Sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- Keep
Alive intRequest - Persistent connection reuse count
- Keep
Alive intTimeout - Persistent connection keep-alive time (seconds)
- Lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- Port int
- Port number
- Project
Name string - Project name.
- Protocol
Follow int - Protocol following enabled. 0: Off, 1: On
- Protocol
Ports Byteplus.Domain Protocol Ports - Access port information
- Protocols List<string>
- Access protocol type: supports HTTP/HTTPS
- Proxy
Config int - Proxy configuration enabled. 0: Off, 1: On
- Proxy
Connect intTimeout - Connection timeout between WAF and backend server (seconds).
- Proxy
Keep intAlive - Number of reusable WAF origin persistent connections.
- Proxy
Keep intAlive Timeout - Idle persistent connection timeout (seconds)
- Proxy
Read intTimeout - Timeout for WAF to read response from backend server (seconds).
- Proxy
Retry int - WAF origin retry count.
- Proxy
Write intTimeout - Timeout for WAF to transmit request to backend server (seconds).
- Public
Real intServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- Rsp
Abnormal intEnable - Whether to enable abnormal response protection.
- Server
Ips string - Service IP
- Src
Ips string - WAF origin IP.
- Src
Protocol string - Origin protocol.
- Ssl
Ciphers List<string> - Cipher suite
- Ssl
Protocols List<string> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- Status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- System
Bot intEnable - Whether to enable managed bot protection.
- Tamper
Proof intEnable - Whether to enable anti-tampering.
- Tcp
Listener List<Byteplus.Configs Domain Tcp Listener Config> - Tls
Enable int - Log service enabled. 0: Off, 1: On
- Tls
Fields Byteplus.Config Domain Tls Fields Config - Log field configuration details
- Update
Time string - Update time
- Vpc
Id string - VPC ID。
- Waf
Enable int - WAF protection enabled
- Waf
White intReq Enable - Allowlist request protection enabled
- White
Enable int - Whether to enable allowlist protection.
- White
Field intEnable - Field allowlist protection enabled
- Access
Mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- Advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- Advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- Api
Enable int - API protection policy enabled. 0: Off, 1: On
- Attack
Status int - Attack status. 0: No attack detected, 1: Attack detected.
- Auto
Cc intEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- Automatic
Black intEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- Backend
Groups []DomainBackend Group Args - Black
Ip intEnable - Denylist policy enabled. 0: Off, 1: On
- Black
Lct intEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- Bot
Dytoken intEnable - Dynamic token protection enabled
- Bot
Frequency intEnable - Bot rate limit policy enabled. 0: Off 1: On
- Bot
Repeat intEnable - Bot statistics protection policy enabled. 0: Off 1: On
- Bot
Sequence intDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- Bot
Sequence intEnable - Whether to enable bot behavior map. 0: Off 1: On.
- Cc
Enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- Certificate
Id string - Certificate ID managed in Certificate Center
- Certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- Certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- Clb
Instance stringIds - CLB instance ID.
- Clb
Listener stringId - CLB listener ID.
- Clb
Pool stringId - CLB backend server group ID.
- Clb
Server stringId - CLB backend server ID
- Client
Ip intLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- Client
Max intBody Size - Maximum client request body size (MB).
- Cloud
Access []DomainConfigs Cloud Access Config Args - Cname string
- CNAME record.
- Custom
Bot intEnable - Whether to enable custom bot protection.
- Custom
Headers []string - Custom header.
- Custom
Rsp intEnable - Whether to enable custom response.
- Custom
Sni string - Custom SNI.
- Defence
Mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- Dlp
Enable int - Data leakage protection enabled
- Domain string
- Protected domain information. Supports wildcard and exact domains
- Enable
Custom intRedirect - User-defined redirection enabled. 0: Off, 1: On
- Enable
Http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- Enable
Ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- Enable
Sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- Keep
Alive intRequest - Persistent connection reuse count
- Keep
Alive intTimeout - Persistent connection keep-alive time (seconds)
- Lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- Port int
- Port number
- Project
Name string - Project name.
- Protocol
Follow int - Protocol following enabled. 0: Off, 1: On
- Protocol
Ports DomainProtocol Ports Args - Access port information
- Protocols []string
- Access protocol type: supports HTTP/HTTPS
- Proxy
Config int - Proxy configuration enabled. 0: Off, 1: On
- Proxy
Connect intTimeout - Connection timeout between WAF and backend server (seconds).
- Proxy
Keep intAlive - Number of reusable WAF origin persistent connections.
- Proxy
Keep intAlive Timeout - Idle persistent connection timeout (seconds)
- Proxy
Read intTimeout - Timeout for WAF to read response from backend server (seconds).
- Proxy
Retry int - WAF origin retry count.
- Proxy
Write intTimeout - Timeout for WAF to transmit request to backend server (seconds).
- Public
Real intServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- Rsp
Abnormal intEnable - Whether to enable abnormal response protection.
- Server
Ips string - Service IP
- Src
Ips string - WAF origin IP.
- Src
Protocol string - Origin protocol.
- Ssl
Ciphers []string - Cipher suite
- Ssl
Protocols []string - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- Status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- System
Bot intEnable - Whether to enable managed bot protection.
- Tamper
Proof intEnable - Whether to enable anti-tampering.
- Tcp
Listener []DomainConfigs Tcp Listener Config Args - Tls
Enable int - Log service enabled. 0: Off, 1: On
- Tls
Fields DomainConfig Tls Fields Config Args - Log field configuration details
- Update
Time string - Update time
- Vpc
Id string - VPC ID。
- Waf
Enable int - WAF protection enabled
- Waf
White intReq Enable - Allowlist request protection enabled
- White
Enable int - Whether to enable allowlist protection.
- White
Field intEnable - Field allowlist protection enabled
- access
Mode Integer - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- advanced
Defense StringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense StringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- api
Enable Integer - API protection policy enabled. 0: Off, 1: On
- attack
Status Integer - Attack status. 0: No attack detected, 1: Attack detected.
- auto
Cc IntegerEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- automatic
Black IntegerEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- backend
Groups List<DomainBackend Group> - black
Ip IntegerEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct IntegerEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken IntegerEnable - Dynamic token protection enabled
- bot
Frequency IntegerEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat IntegerEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence IntegerDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence IntegerEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable Integer - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id String - Certificate ID managed in Certificate Center
- certificate
Name String - Certificate name. Displayed when protocol type includes HTTPS.
- certificate
Platform String - Certificate hosting platform: waf/certificate_service.
- clb
Instance StringIds - CLB instance ID.
- clb
Listener StringId - CLB listener ID.
- clb
Pool StringId - CLB backend server group ID.
- clb
Server StringId - CLB backend server ID
- client
Ip IntegerLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max IntegerBody Size - Maximum client request body size (MB).
- cloud
Access List<DomainConfigs Cloud Access Config> - cname String
- CNAME record.
- custom
Bot IntegerEnable - Whether to enable custom bot protection.
- custom
Headers List<String> - Custom header.
- custom
Rsp IntegerEnable - Whether to enable custom response.
- custom
Sni String - Custom SNI.
- defence
Mode Integer - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable Integer - Data leakage protection enabled
- domain String
- Protected domain information. Supports wildcard and exact domains
- enable
Custom IntegerRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 Integer - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 Integer - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni Integer - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive IntegerRequest - Persistent connection reuse count
- keep
Alive IntegerTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm String - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- port Integer
- Port number
- project
Name String - Project name.
- protocol
Follow Integer - Protocol following enabled. 0: Off, 1: On
- protocol
Ports DomainProtocol Ports - Access port information
- protocols List<String>
- Access protocol type: supports HTTP/HTTPS
- proxy
Config Integer - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect IntegerTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep IntegerAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep IntegerAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read IntegerTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry Integer - WAF origin retry count.
- proxy
Write IntegerTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real IntegerServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- rsp
Abnormal IntegerEnable - Whether to enable abnormal response protection.
- server
Ips String - Service IP
- src
Ips String - WAF origin IP.
- src
Protocol String - Origin protocol.
- ssl
Ciphers List<String> - Cipher suite
- ssl
Protocols List<String> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- status Integer
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- system
Bot IntegerEnable - Whether to enable managed bot protection.
- tamper
Proof IntegerEnable - Whether to enable anti-tampering.
- tcp
Listener List<DomainConfigs Tcp Listener Config> - tls
Enable Integer - Log service enabled. 0: Off, 1: On
- tls
Fields DomainConfig Tls Fields Config - Log field configuration details
- update
Time String - Update time
- vpc
Id String - VPC ID。
- waf
Enable Integer - WAF protection enabled
- waf
White IntegerReq Enable - Allowlist request protection enabled
- white
Enable Integer - Whether to enable allowlist protection.
- white
Field IntegerEnable - Field allowlist protection enabled
- access
Mode number - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- advanced
Defense stringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense stringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- api
Enable number - API protection policy enabled. 0: Off, 1: On
- attack
Status number - Attack status. 0: No attack detected, 1: Attack detected.
- auto
Cc numberEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- automatic
Black numberEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- backend
Groups DomainBackend Group[] - black
Ip numberEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct numberEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken numberEnable - Dynamic token protection enabled
- bot
Frequency numberEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat numberEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence numberDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence numberEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable number - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id string - Certificate ID managed in Certificate Center
- certificate
Name string - Certificate name. Displayed when protocol type includes HTTPS.
- certificate
Platform string - Certificate hosting platform: waf/certificate_service.
- clb
Instance stringIds - CLB instance ID.
- clb
Listener stringId - CLB listener ID.
- clb
Pool stringId - CLB backend server group ID.
- clb
Server stringId - CLB backend server ID
- client
Ip numberLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max numberBody Size - Maximum client request body size (MB).
- cloud
Access DomainConfigs Cloud Access Config[] - cname string
- CNAME record.
- custom
Bot numberEnable - Whether to enable custom bot protection.
- custom
Headers string[] - Custom header.
- custom
Rsp numberEnable - Whether to enable custom response.
- custom
Sni string - Custom SNI.
- defence
Mode number - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable number - Data leakage protection enabled
- domain string
- Protected domain information. Supports wildcard and exact domains
- enable
Custom numberRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 number - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 number - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni number - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive numberRequest - Persistent connection reuse count
- keep
Alive numberTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm string - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- port number
- Port number
- project
Name string - Project name.
- protocol
Follow number - Protocol following enabled. 0: Off, 1: On
- protocol
Ports DomainProtocol Ports - Access port information
- protocols string[]
- Access protocol type: supports HTTP/HTTPS
- proxy
Config number - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect numberTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep numberAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep numberAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read numberTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry number - WAF origin retry count.
- proxy
Write numberTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real numberServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- rsp
Abnormal numberEnable - Whether to enable abnormal response protection.
- server
Ips string - Service IP
- src
Ips string - WAF origin IP.
- src
Protocol string - Origin protocol.
- ssl
Ciphers string[] - Cipher suite
- ssl
Protocols string[] - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- status number
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- system
Bot numberEnable - Whether to enable managed bot protection.
- tamper
Proof numberEnable - Whether to enable anti-tampering.
- tcp
Listener DomainConfigs Tcp Listener Config[] - tls
Enable number - Log service enabled. 0: Off, 1: On
- tls
Fields DomainConfig Tls Fields Config - Log field configuration details
- update
Time string - Update time
- vpc
Id string - VPC ID。
- waf
Enable number - WAF protection enabled
- waf
White numberReq Enable - Allowlist request protection enabled
- white
Enable number - Whether to enable allowlist protection.
- white
Field numberEnable - Field allowlist protection enabled
- access_
mode int - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- advanced_
defense_ strip - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced_
defense_ stripv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- api_
enable int - API protection policy enabled. 0: Off, 1: On
- attack_
status int - Attack status. 0: No attack detected, 1: Attack detected.
- auto_
cc_ intenable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- automatic_
black_ intenable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- backend_
groups Sequence[DomainBackend Group Args] - black_
ip_ intenable - Denylist policy enabled. 0: Off, 1: On
- black_
lct_ intenable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot_
dytoken_ intenable - Dynamic token protection enabled
- bot_
frequency_ intenable - Bot rate limit policy enabled. 0: Off 1: On
- bot_
repeat_ intenable - Bot statistics protection policy enabled. 0: Off 1: On
- bot_
sequence_ intdefault_ action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot_
sequence_ intenable - Whether to enable bot behavior map. 0: Off 1: On.
- cc_
enable int - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate_
id str - Certificate ID managed in Certificate Center
- certificate_
name str - Certificate name. Displayed when protocol type includes HTTPS.
- certificate_
platform str - Certificate hosting platform: waf/certificate_service.
- clb_
instance_ strids - CLB instance ID.
- clb_
listener_ strid - CLB listener ID.
- clb_
pool_ strid - CLB backend server group ID.
- clb_
server_ strid - CLB backend server ID
- client_
ip_ intlocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client_
max_ intbody_ size - Maximum client request body size (MB).
- cloud_
access_ Sequence[Domainconfigs Cloud Access Config Args] - cname str
- CNAME record.
- custom_
bot_ intenable - Whether to enable custom bot protection.
- custom_
headers Sequence[str] - Custom header.
- custom_
rsp_ intenable - Whether to enable custom response.
- custom_
sni str - Custom SNI.
- defence_
mode int - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp_
enable int - Data leakage protection enabled
- domain str
- Protected domain information. Supports wildcard and exact domains
- enable_
custom_ intredirect - User-defined redirection enabled. 0: Off, 1: On
- enable_
http2 int - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable_
ipv6 int - IPv6 request protection supported. 0: Off, 1: On
- enable_
sni int - Whether to enable SNI configuration. 0: Off, 1: On.
- keep_
alive_ intrequest - Persistent connection reuse count
- keep_
alive_ inttimeout - Persistent connection keep-alive time (seconds)
- lb_
algorithm str - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- port int
- Port number
- project_
name str - Project name.
- protocol_
follow int - Protocol following enabled. 0: Off, 1: On
- protocol_
ports DomainProtocol Ports Args - Access port information
- protocols Sequence[str]
- Access protocol type: supports HTTP/HTTPS
- proxy_
config int - Proxy configuration enabled. 0: Off, 1: On
- proxy_
connect_ inttimeout - Connection timeout between WAF and backend server (seconds).
- proxy_
keep_ intalive - Number of reusable WAF origin persistent connections.
- proxy_
keep_ intalive_ timeout - Idle persistent connection timeout (seconds)
- proxy_
read_ inttimeout - Timeout for WAF to read response from backend server (seconds).
- proxy_
retry int - WAF origin retry count.
- proxy_
write_ inttimeout - Timeout for WAF to transmit request to backend server (seconds).
- public_
real_ intserver - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- rsp_
abnormal_ intenable - Whether to enable abnormal response protection.
- server_
ips str - Service IP
- src_
ips str - WAF origin IP.
- src_
protocol str - Origin protocol.
- ssl_
ciphers Sequence[str] - Cipher suite
- ssl_
protocols Sequence[str] - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- status int
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- system_
bot_ intenable - Whether to enable managed bot protection.
- tamper_
proof_ intenable - Whether to enable anti-tampering.
- tcp_
listener_ Sequence[Domainconfigs Tcp Listener Config Args] - tls_
enable int - Log service enabled. 0: Off, 1: On
- tls_
fields_ Domainconfig Tls Fields Config Args - Log field configuration details
- update_
time str - Update time
- vpc_
id str - VPC ID。
- waf_
enable int - WAF protection enabled
- waf_
white_ intreq_ enable - Allowlist request protection enabled
- white_
enable int - Whether to enable allowlist protection.
- white_
field_ intenable - Field allowlist protection enabled
- access
Mode Number - Access mode. 10: CNAME access, 11: Layer 7 load balancing (CLB) access.
- advanced
Defense StringIp - High defense instance IP. Displayed for high-defense WAF access; otherwise blank.
- advanced
Defense StringIpv6 - High defense instance IPv6. Displayed for high-defense WAF access; otherwise blank.
- api
Enable Number - API protection policy enabled. 0: Off, 1: On
- attack
Status Number - Attack status. 0: No attack detected, 1: Attack detected.
- auto
Cc NumberEnable - Whether to enable intelligent CC protection policy. 0: Disabled, 1: Enabled.
- automatic
Black NumberEnable - Whether to enable automatic blocking. 0: Disabled, 1: Enabled.
- backend
Groups List<Property Map> - black
Ip NumberEnable - Denylist policy enabled. 0: Off, 1: On
- black
Lct NumberEnable - Whether to enable regional blocking policy. 0: Disabled; 1: Enabled.
- bot
Dytoken NumberEnable - Dynamic token protection enabled
- bot
Frequency NumberEnable - Bot rate limit policy enabled. 0: Off 1: On
- bot
Repeat NumberEnable - Bot statistics protection policy enabled. 0: Off 1: On
- bot
Sequence NumberDefault Action - Set the default action for the bot behavior map policy. Effective when BotSequenceEnable = 1 is enabled. Default is 0 (Observe). 0: Observe 2: Intercept 6: JS Challenge 7: CAPTCHA.
- bot
Sequence NumberEnable - Whether to enable bot behavior map. 0: Off 1: On.
- cc
Enable Number - Whether to enable CC protection policy. 0: Disabled 1: Enabled.
- certificate
Id String - Certificate ID managed in Certificate Center
- certificate
Name String - Certificate name. Displayed when protocol type includes HTTPS.
- certificate
Platform String - Certificate hosting platform: waf/certificate_service.
- clb
Instance StringIds - CLB instance ID.
- clb
Listener StringId - CLB listener ID.
- clb
Pool StringId - CLB backend server group ID.
- clb
Server StringId - CLB backend server ID
- client
Ip NumberLocation - Client IP acquisition method. 0: Custom header field, 1: Use the first public IP address in the X-Forwarded-For (XFF) field as the real client IP address.
- client
Max NumberBody Size - Maximum client request body size (MB).
- cloud
Access List<Property Map>Configs - cname String
- CNAME record.
- custom
Bot NumberEnable - Whether to enable custom bot protection.
- custom
Headers List<String> - Custom header.
- custom
Rsp NumberEnable - Whether to enable custom response.
- custom
Sni String - Custom SNI.
- defence
Mode Number - Set protection mode for exception ALB instances. 1: Enable protection. The configured protection policies take effect. 2: Pause protection. Only forwarding is performed without inspection; the configured protection policies do not take effect. 3: Origin mode. Requests are sent directly to the origin server and are no longer forwarded to the WAF instance. After configuring exception protection instances, the domain may also have the following protection statuses: 5: Partially enabled. The default protection mode is enabled, but some exception instances are in paused protection or origin mode. 6: Partially paused. The default protection mode is paused, but some exception instances are in enabled protection or origin mode. 7: Partially origin. The default protection mode is origin mode, but some exception instances are in enabled protection or paused protection.
- dlp
Enable Number - Data leakage protection enabled
- domain String
- Protected domain information. Supports wildcard and exact domains
- enable
Custom NumberRedirect - User-defined redirection enabled. 0: Off, 1: On
- enable
Http2 Number - Whether to enable HTTP/2.0. 0: Disabled, 1: Enabled.
- enable
Ipv6 Number - IPv6 request protection supported. 0: Off, 1: On
- enable
Sni Number - Whether to enable SNI configuration. 0: Off, 1: On.
- keep
Alive NumberRequest - Persistent connection reuse count
- keep
Alive NumberTimeout - Persistent connection keep-alive time (seconds)
- lb
Algorithm String - Load balancing algorithm type. wrr: Weighted round robin, wlc: Weighted least connections, sh: Source address hash.
- port Number
- Port number
- project
Name String - Project name.
- protocol
Follow Number - Protocol following enabled. 0: Off, 1: On
- protocol
Ports Property Map - Access port information
- protocols List<String>
- Access protocol type: supports HTTP/HTTPS
- proxy
Config Number - Proxy configuration enabled. 0: Off, 1: On
- proxy
Connect NumberTimeout - Connection timeout between WAF and backend server (seconds).
- proxy
Keep NumberAlive - Number of reusable WAF origin persistent connections.
- proxy
Keep NumberAlive Timeout - Idle persistent connection timeout (seconds)
- proxy
Read NumberTimeout - Timeout for WAF to read response from backend server (seconds).
- proxy
Retry Number - WAF origin retry count.
- proxy
Write NumberTimeout - Timeout for WAF to transmit request to backend server (seconds).
- public
Real NumberServer - CNAME access origin method. 0: Private network origin, 1: Public network origin.
- rsp
Abnormal NumberEnable - Whether to enable abnormal response protection.
- server
Ips String - Service IP
- src
Ips String - WAF origin IP.
- src
Protocol String - Origin protocol.
- ssl
Ciphers List<String> - Cipher suite
- ssl
Protocols List<String> - TLS protocol version. For example: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3
- status Number
- Access status. 0: Normal, 1: DNS not resolved, 2: Configuring, 3: Configuration failed, 4: Configuration not effective, 5: Updating, 6: Instance deleted.
- system
Bot NumberEnable - Whether to enable managed bot protection.
- tamper
Proof NumberEnable - Whether to enable anti-tampering.
- tcp
Listener List<Property Map>Configs - tls
Enable Number - Log service enabled. 0: Off, 1: On
- tls
Fields Property MapConfig - Log field configuration details
- update
Time String - Update time
- vpc
Id String - VPC ID。
- waf
Enable Number - WAF protection enabled
- waf
White NumberReq Enable - Allowlist request protection enabled
- white
Enable Number - Whether to enable allowlist protection.
- white
Field NumberEnable - Field allowlist protection enabled
Supporting Types
DomainBackendGroup, DomainBackendGroupArgs
- Access
Ports List<int> - Access port number.
- Backends
List<Byteplus.
Domain Backend Group Backend> - Name string
- Origin group name.
- Access
Ports []int - Access port number.
- Backends
[]Domain
Backend Group Backend - Name string
- Origin group name.
- access
Ports List<Integer> - Access port number.
- backends
List<Domain
Backend Group Backend> - name String
- Origin group name.
- access
Ports number[] - Access port number.
- backends
Domain
Backend Group Backend[] - name string
- Origin group name.
- access_
ports Sequence[int] - Access port number.
- backends
Sequence[Domain
Backend Group Backend] - name str
- Origin group name.
- access
Ports List<Number> - Access port number.
- backends List<Property Map>
- name String
- Origin group name.
DomainBackendGroupBackend, DomainBackendGroupBackendArgs
DomainCloudAccessConfig, DomainCloudAccessConfigArgs
- Access
Protocol string - Access protocol type
- Defence
Mode int - Protection mode
- Instance
Id string - Load balancing instance ID.
- Instance
Name string - Load balancer instance name.
- Listener
Id string - Load balancing listener ID.
- Lost
Association intFrom Alb - Disassociated from ALB
- Port string
- Listener forwarding rule port number
- Protocol string
- Protocol type for listener forwarding rules.
- Access
Protocol string - Access protocol type
- Defence
Mode int - Protection mode
- Instance
Id string - Load balancing instance ID.
- Instance
Name string - Load balancer instance name.
- Listener
Id string - Load balancing listener ID.
- Lost
Association intFrom Alb - Disassociated from ALB
- Port string
- Listener forwarding rule port number
- Protocol string
- Protocol type for listener forwarding rules.
- access
Protocol String - Access protocol type
- defence
Mode Integer - Protection mode
- instance
Id String - Load balancing instance ID.
- instance
Name String - Load balancer instance name.
- listener
Id String - Load balancing listener ID.
- lost
Association IntegerFrom Alb - Disassociated from ALB
- port String
- Listener forwarding rule port number
- protocol String
- Protocol type for listener forwarding rules.
- access
Protocol string - Access protocol type
- defence
Mode number - Protection mode
- instance
Id string - Load balancing instance ID.
- instance
Name string - Load balancer instance name.
- listener
Id string - Load balancing listener ID.
- lost
Association numberFrom Alb - Disassociated from ALB
- port string
- Listener forwarding rule port number
- protocol string
- Protocol type for listener forwarding rules.
- access_
protocol str - Access protocol type
- defence_
mode int - Protection mode
- instance_
id str - Load balancing instance ID.
- instance_
name str - Load balancer instance name.
- listener_
id str - Load balancing listener ID.
- lost_
association_ intfrom_ alb - Disassociated from ALB
- port str
- Listener forwarding rule port number
- protocol str
- Protocol type for listener forwarding rules.
- access
Protocol String - Access protocol type
- defence
Mode Number - Protection mode
- instance
Id String - Load balancing instance ID.
- instance
Name String - Load balancer instance name.
- listener
Id String - Load balancing listener ID.
- lost
Association NumberFrom Alb - Disassociated from ALB
- port String
- Listener forwarding rule port number
- protocol String
- Protocol type for listener forwarding rules.
DomainProtocolPorts, DomainProtocolPortsArgs
DomainTcpListenerConfig, DomainTcpListenerConfigArgs
- Access
Protocol string - Access protocol type
- Defence
Mode int - Protection mode
- Instance
Id string - Instance ID.
- Instance
Name string - Instance name.
- Listener
Id string - Listener ID.
- Lost
Association intFrom Alb - Disassociated from ALB
- Port string
- Listener port number
- Protocol string
- Listener protocol type.
- Access
Protocol string - Access protocol type
- Defence
Mode int - Protection mode
- Instance
Id string - Instance ID.
- Instance
Name string - Instance name.
- Listener
Id string - Listener ID.
- Lost
Association intFrom Alb - Disassociated from ALB
- Port string
- Listener port number
- Protocol string
- Listener protocol type.
- access
Protocol String - Access protocol type
- defence
Mode Integer - Protection mode
- instance
Id String - Instance ID.
- instance
Name String - Instance name.
- listener
Id String - Listener ID.
- lost
Association IntegerFrom Alb - Disassociated from ALB
- port String
- Listener port number
- protocol String
- Listener protocol type.
- access
Protocol string - Access protocol type
- defence
Mode number - Protection mode
- instance
Id string - Instance ID.
- instance
Name string - Instance name.
- listener
Id string - Listener ID.
- lost
[...]
